<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: FBSDKShareAPI.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_81e630f80dfe391b8563c60e022e9d38.html">Facebook</a></li><li class="navelem"><a class="el" href="dir_b02e264201165a7c5946ce0715ae0fb3.html">FBSDKShareKit.framework</a></li><li class="navelem"><a class="el" href="dir_5c42ead9b52f068d508eb355515b1685.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">FBSDKShareAPI.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// Copyright (c) 2014-present, Facebook, Inc. All rights reserved.</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// You are hereby granted a non-exclusive, worldwide, royalty-free license to use,</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// copy, modify, and distribute this software in source code or binary form for use</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">// in connection with the web services and APIs provided by Facebook.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// As with any software that integrates with the Facebook platform, your use of</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">// this software is subject to the Facebook Developer Principles and Policies</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// [http://developers.facebook.com/policy/]. This copyright notice shall be</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// included in all copies or substantial portions of the software.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">// THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">// FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">// COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">// IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#import &lt;FBSDKCoreKit/FBSDKAccessToken.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#import &lt;FBSDKShareKit/FBSDKShareOpenGraphObject.h&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#import &lt;FBSDKShareKit/FBSDKSharing.h&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_share_a_p_i.html">   34</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_f_b_s_d_k_share_a_p_i.html">FBSDKShareAPI</a> : NSObject &lt;<a class="code" href="protocol_f_b_s_d_k_sharing-p.html">FBSDKSharing</a>&gt;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160; </div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;+ (instancetype)shareWithContent:(<span class="keywordtype">id</span>&lt;<a class="code" href="protocol_f_b_s_d_k_sharing_content-p.html">FBSDKSharingContent</a>&gt;)content delegate:(<span class="keywordtype">id</span>&lt;<a class="code" href="protocol_f_b_s_d_k_sharing_delegate-p.html">FBSDKSharingDelegate</a>&gt;)delegate;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_share_a_p_i.html#a5ffe34ad98a2a26b3c347600aea194ca">   46</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) NSString *<a class="code" href="interface_f_b_s_d_k_share_a_p_i.html#a5ffe34ad98a2a26b3c347600aea194ca">message</a>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160; </div><div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_share_a_p_i.html#acbaa236ab85ea258d5432560b7a2b8e8">   51</a></span>&#160;<span class="keyword">@property</span> (nonatomic, copy) NSString *<a class="code" href="interface_f_b_s_d_k_share_a_p_i.html#acbaa236ab85ea258d5432560b7a2b8e8">graphNode</a>;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160; </div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="interface_f_b_s_d_k_share_a_p_i.html#adac3e5eb9d0bd4a35aeb42c7f0d1f1b7">   60</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) <a class="code" href="interface_f_b_s_d_k_access_token.html">FBSDKAccessToken</a> *<a class="code" href="interface_f_b_s_d_k_share_a_p_i.html#adac3e5eb9d0bd4a35aeb42c7f0d1f1b7">accessToken</a>;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160; </div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;- (BOOL)<a class="code" href="interface_f_b_s_d_k_share_a_p_i.html#a785150525008f6d86334ec4fb0bf51a9">canShare</a>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160; </div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;- (BOOL)createOpenGraphObject:(<a class="code" href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a> *)openGraphObject;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160; </div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;- (BOOL)<a class="code" href="interface_f_b_s_d_k_share_a_p_i.html#ab04f5ec10df40c652e6f3720f50027bd">share</a>;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160; </div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_f_b_s_d_k_share_open_graph_object_html"><div class="ttname"><a href="interface_f_b_s_d_k_share_open_graph_object.html">FBSDKShareOpenGraphObject</a></div><div class="ttdef"><b>Definition:</b> FBSDKShareOpenGraphObject.h:44</div></div>
<div class="ttc" id="aprotocol_f_b_s_d_k_sharing-p_html"><div class="ttname"><a href="protocol_f_b_s_d_k_sharing-p.html">FBSDKSharing-p</a></div><div class="ttdef"><b>Definition:</b> FBSDKSharing.h:34</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_a_p_i_html_ab04f5ec10df40c652e6f3720f50027bd"><div class="ttname"><a href="interface_f_b_s_d_k_share_a_p_i.html#ab04f5ec10df40c652e6f3720f50027bd">-[FBSDKShareAPI share]</a></div><div class="ttdeci">BOOL share()</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_a_p_i_html"><div class="ttname"><a href="interface_f_b_s_d_k_share_a_p_i.html">FBSDKShareAPI</a></div><div class="ttdef"><b>Definition:</b> FBSDKShareAPI.h:34</div></div>
<div class="ttc" id="aprotocol_f_b_s_d_k_sharing_delegate-p_html"><div class="ttname"><a href="protocol_f_b_s_d_k_sharing_delegate-p.html">FBSDKSharingDelegate-p</a></div><div class="ttdef"><b>Definition:</b> FBSDKSharing.h:95</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_a_p_i_html_a5ffe34ad98a2a26b3c347600aea194ca"><div class="ttname"><a href="interface_f_b_s_d_k_share_a_p_i.html#a5ffe34ad98a2a26b3c347600aea194ca">FBSDKShareAPI::message</a></div><div class="ttdeci">NSString * message</div><div class="ttdef"><b>Definition:</b> FBSDKShareAPI.h:46</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_access_token_html"><div class="ttname"><a href="interface_f_b_s_d_k_access_token.html">FBSDKAccessToken</a></div><div class="ttdef"><b>Definition:</b> FBSDKAccessToken.h:67</div></div>
<div class="ttc" id="aprotocol_f_b_s_d_k_sharing_content-p_html"><div class="ttname"><a href="protocol_f_b_s_d_k_sharing_content-p.html">FBSDKSharingContent-p</a></div><div class="ttdef"><b>Definition:</b> FBSDKSharingContent.h:28</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_a_p_i_html_adac3e5eb9d0bd4a35aeb42c7f0d1f1b7"><div class="ttname"><a href="interface_f_b_s_d_k_share_a_p_i.html#adac3e5eb9d0bd4a35aeb42c7f0d1f1b7">FBSDKShareAPI::accessToken</a></div><div class="ttdeci">FBSDKAccessToken * accessToken</div><div class="ttdef"><b>Definition:</b> FBSDKShareAPI.h:60</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_a_p_i_html_acbaa236ab85ea258d5432560b7a2b8e8"><div class="ttname"><a href="interface_f_b_s_d_k_share_a_p_i.html#acbaa236ab85ea258d5432560b7a2b8e8">FBSDKShareAPI::graphNode</a></div><div class="ttdeci">NSString * graphNode</div><div class="ttdef"><b>Definition:</b> FBSDKShareAPI.h:51</div></div>
<div class="ttc" id="ainterface_f_b_s_d_k_share_a_p_i_html_a785150525008f6d86334ec4fb0bf51a9"><div class="ttname"><a href="interface_f_b_s_d_k_share_a_p_i.html#a785150525008f6d86334ec4fb0bf51a9">-[FBSDKShareAPI canShare]</a></div><div class="ttdeci">BOOL canShare()</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
